Extraction API
Introduction
This API extracts and displays Passport Data. It extracts the data from the image of the passport which is given as an input
How to call the API
Before going for Auto reading calls, you first need to create an Identity object. Need to pass accessToken and itemid obtained from identity call along with other input parameters
API Input Guidelines
Need to put url front/back Images of the passport as input
Step 1: Hit Identities API
Sample cURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..patronId../identities' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "passport",
"email": "[email protected]",
"callbackUrl": "",
"images": [<front and back images>"
]
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
Content-Type | Required | application/json |
type | Required | Type of identity |
Required | e-mail ID | |
callbackurl | Required | URL where response will be posted |
images | Required | Front and back image |
Sample Response
{
"type": "passport",
"email": "[email protected]",
"callbackUrl": "",
"images": ["<images url>"
],
"accessToken": "",
"autoRecognition": [],
"verification": [],
"forgeryCheck": [],
"id": "",
"patronId": ""
}Response Parameter
Parameter Name | Description | ||
|---|---|---|---|
type | Type of identity | ||
e-mail ID e-mail ID e-mail ID | |||
callbackUrl | URL where response will be posted | ||
images | Front and back image | ||
accessToken | This is provided by identities API | ||
autoRecognition | Auto recognises text from upload image | ||
verification | verification is done | ||
forgeryCheck | Forgery check is done | ||
id | Unique user id | ||
patronId | Unique patron id |
Step 2: Hit Snoops API and receives a response
Sample cURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/snoops' \
--header 'content-type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"service": "Identity",
"itemId": "",
"accessToken": "",
"task": "",
"essentials": {}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
content-type | Required | application/json |
service | Required | Type of Signzy service - “identity extraction” |
itemId | Required | Contains the identity item id |
accessToken | Required | This is provided by the identities API |
task | Required | Task being performed |
essentials | Required | Contains the essential output data |
Sample API Response
{
"service": "Identity",
"itemId": "",
"task": "autoRecognition",
"essentials": {},
"accessToken": "",
"id": "",
"response": {
"files": [
"image1.jpg",
"image2.jpg"
],
"id": ,
"instance": {
"id": "",
"callbackUrl": ""
},
"result": {
"parentsGuardianName": "",
"issueDate": "",
"expiryDate": "",
"birthDate": "",
"name": "",
"country": [
"IN",
"IND",
"India"
],
"nationality": "",
"sex": "F",
"address": "",
"pincode": "",
"passportNumber": "",
"fileNumber": "",
"placeOfBirth": "",
"placeOfIssue": "",
"splitAddress": {
"district": [
"VADODARA"
],
"state": [
[
"GUJARAT",
"GJ"
]
],
"city": [
"VEMALI"
],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
},
"summary": {
"number": "",
"name": "",
"dob": "",
"address": "",
"splitAddress": {
"district": [
"VADODARA"
],
"state": [
[
"GUJARAT",
"GJ"
]
],
"city": [
"VEMALI"
],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
},
"gender": "F",
"guardianName": "",
"issueDate": "",
"expiryDate": ""
}
}
}
}
Output Parameters
Parameter Name | Description |
|---|---|
service | Type of Signzy service - “identity extraction” |
itemId | Contains the identity item id |
task | The type of task performed - “Auto Recognition” |
essentials | Contains the essential output data |
accessToken | Contains the access token that was received from identity request |
id | Contains the unique Id of the snoop request |
response | Contains the output files |
response.files | Contains links of ima |
response.id | Contains ID number |
response.instance.id | Contains particular Id number |
response.instance.callbackUrl | Contains the link of Url |
response.result.parentsGuardianName | Contains guardian name |
response.result.issueDate | Contains issue date |
response.result.expiryDate | Contains expiry date |
response.result.birthDate | Contains date of birth |
response.result.name | Contains name of the passport holder |
response.result.country | Contains the name of country of the passport holder |
response.result.nationality | Contains nationality of the passport holder |
response.result.sex | Contains gender information of the passport holder |
response.result.address | Contains residence address |
response.result.pincode | Contains pincode of the residence address |
response.result.passportNumber | Shows Passport Number |
response.result.fileNumber | Contains File number of the passport |
response.result.placeOfBirth | Shows place of birth of the passport holder |
response.result.placeOfIssue | Shows place where the passport is issued |
response.result.splitAddress.district | Shows District of the passport holder |
response.result.splitAddress.state | Shows state of the passport holder |
response.result.splitAddress.city | Shows city of the passport holder |
response.result.splitAddress.pincode | Shows the pincode of the the address mentioned in the passport |
response.result.splitAddress.country | Country of the passport holder |
response.result.splitAddress.addressLine | Contains address of the passort holder |
response.result.summary.number | Contains passport number |
response.result.name | Contains the name of the passport holder |
response.result.dob | Contains date of birth of the passport holder |
response.result.address | Contains address of the passport holder |
response.result.summary.splitAddress.district | Shows district of the passport holder |
response.result.summary.splitAddress.state | Shows state of the passport holder |
response.result.summary.splitAddress.city | Shows city of the passport holder |
response.result.summary.splitAddress.pincode | Contains pincode of the address mentioned in the passport |
response.result.summary.splitAddress.country | contains the country name |
response.result.summary.splitAddress.addressLine | Contains split address with details |
response.result.summary.gender | Contains the gender information of the passport holder |
response.result.summary.guardianName | Contains guardian name of the passport holder |
response.result.summary.issueDate | Contain issue date of the passport |
response.result.summary.expiryDate | Contains the expiry Date of the passport |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].